
Foreman - Bug #13035

Host fact search using ~ operator doesn't automatically add wildcards

01/07/2016 05:18 AM - Dominic Cleal

Status: Duplicate   

Priority: Normal   

Assignee: Dominic Cleal   

Category: Search   

Target version:    

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases: 1.10.0

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

When searching for hosts by facts with the ~/LIKE operator, entering a simple keyword without wildcards would have added % to the

start and end of the value to match it anywhere (e.g. facts.foo ~ bar).  Documented under wildcards at 

http://theforeman.org/manuals/1.10/index.html#4.1.5Searching.

Since #11150, the wildcards have to be added manually, e.g. facts.foo ~ %bar%, which shouldn't be necessary.

Related issues:

Related to Foreman - Feature #11150: Allow searching of facts as types other ... Closed 07/19/2015

Related to Foreman - Bug #12959: Host search based on fact value using LIKE c... Closed 12/30/2015

History

#1 - 01/07/2016 05:18 AM - Dominic Cleal

- Related to Feature #11150: Allow searching of facts as types other than string added

#2 - 01/07/2016 05:19 AM - Dominic Cleal

- Related to Bug #12959: Host search based on fact value using LIKE clause does'nt work added

#3 - 01/07/2016 05:19 AM - Dominic Cleal

- Status changed from Assigned to Duplicate

- translation missing: en.field_release deleted (104)

Actually, this is described at the start of #12959, I didn't spot that when reading it.  I'll fix it under that ticket.
